<template>
  <div class="wrapper">
    <div class="modal">
      <div v-if="stage === 1" class="inner">
        <h5 class="title">Укажите пожелание к работе художника</h5>
        <input class="input" type="text" placeholder="Название заказа" v-model="product.name"/>
        <p class="description">Передайте суть работы в нескольких словах</p>
        <textarea-autosize class="input" type="text" placeholder="Что вы хотите?" v-model="product.comment"/>
        <p class="description">Подробно опишите требования и пожелания к работе - создайте техническое задание</p>
        <input class="input" type="text" placeholder="Цена" v-model="product.price"/>
        <p class="description">Предложите свою стоимость для работы</p>
        <input class="input" type="date" v-model="product.date"/>
        <p class="description">Желаемая дата выполнения</p>
        <div class="choice">
          <q-radio class="radio" v-model="product.type" val="print" label="Принт"></q-radio>
          <q-radio class="radio" v-model="product.type" val="handmade" label="Хенд-мэйд"></q-radio>
        </div>
        <button @click="stage = 2" class="order-button">Далее</button>
      </div>
      <div v-if="stage === 2" class="inner">
        <h5 class="title">Выберите продукцию для печати/разрисовки</h5>
        <div class="category">
          <q-select
            borderless
            dense
            class="select"
            popup-content-style="z-index: 100000;"
            transition-show="jump-up"
            transition-hide="jump-up"
            v-model="category"
            :options="categories.map(el => el.name)"
          />
          <p class="description">Категория товара</p>
        </div>
        <div class="subcategory"
             v-if="category !== '' && categories.find(el => el.name === category).subcategories.length !== 0"
        >
          <q-select
            borderless
            dense
            class="select"
            popup-content-style="z-index: 100000;"
            transition-show="jump-up"
            transition-hide="jump-up"
            v-model="subcategory"
            :options="categories.find(el => el.name === category).subcategories"
          />
          <p class="description">Подкатегория товара</p>
        </div>
        <div class="choice" v-if="category !== '' && categories.find(el => el.name === category).materials.length !== 0">
          <q-radio v-for="(el, i) in categories.find(el => el.name === category).materials"
                   class="radio"
                   v-model="material"
                   :val="el"
                   :label="el"
                   :key="i"
          ></q-radio>
        </div>
        <div class="flex ">
          <q-btn @click="amount !== 1 ? amount-- : null" unelevated flat class="q-mr-md">-</q-btn>
          <q-input
            class=" q-ml-md"
            borderless
            v-model="amount"
            mask="##"
            style="max-width: 50px"
          />
          <q-btn @click="amount++" unelevated flat class="">+</q-btn>
        </div>
        <div class="price">
          <p class="price-description">Цена продукции без услуг автора</p>
          <h6 class="price-total">{{ price }} &#8381;</h6>
        </div>
        <button @click="$emit('closeModal')" class="order-button">Заказать</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'OrderModal',
  data () {
    return {
      stage: 1,
      product: {
        name: '',
        comment: '',
        price: '',
        date: '01.01.2000',
        type: ''
      },
      category: '',
      subcategory: '',
      amount: 1,
      price: 0,
      material: '',
      categories: [
        {
          name: 'Одежда',
          subcategories: [
            'Футболки',
            'Худи',
            'Свитшоты',
            'Обувь',
            'Носки'
          ],
          materials: [
            'Хлопок',
            'Полиэстер'
          ]
        },
        {
          name: 'Стикеры',
          subcategories: [],
          materials: [
            'Ламинированая бумага',
            'Обычная бумага'
          ]
        },
        {
          name: 'Сувениры',
          subcategories: [
            'Кружки',
            'Значки',
            'Пазлы',
            'Холсты'
          ],
          materials: [
            'Керамика',
            'Термокружки'
          ]
        },
        {
          name: 'Хэнд-мэйд',
          subcategories: []
        }
      ]
    }
  }
}
</script>

<style lang="sass" scoped>
.input
  font-style: normal
  font-weight: normal
  font-size: 16px
  line-height: 24px
  padding: 16px
  &::placeholder
    font-style: normal
    font-weight: normal
    font-size: 16px
    line-height: 24px
.wrapper
  position: fixed
  display: flex
  justify-content: center
  align-items: center
  z-index: 10000
  top: 0
  bottom: 0
  left: 0
  right: 0
  background-color: rgba(0,0,0,0.5)
.modal
  background-color: #ffffff
.inner
  margin: 48px
  display: flex
  flex-direction: column
.title
  font-style: normal
  font-weight: 300
  font-size: 18px
  line-height: 22px
  text-align: center
  margin-bottom: 24px
.description
  font-style: normal
  font-weight: normal
  font-size: 12px
  line-height: 16px
  margin: 4px 16px 24px 16px
.radio
  font-style: normal
  font-weight: normal
  font-size: 12px
  line-height: 16px
.select
  border: 1px solid #848484
  border-radius: 5px
  padding: 8px
.order-button
  margin: 32px 0 0 0
  background: #1D1C1C
  height: 35px
  min-width: 100px
  color: #ffffff
  padding: 8px 32px
  font-style: normal
  font-weight: 600
  font-size: 14px
  line-height: 17px
  cursor: pointer
.price-description
  font-style: normal
  font-weight: normal
  font-size: 12px
  line-height: 16px
.price-total
  margin: 8px 0 0 0
  font-style: normal
  font-weight: 600
  font-size: 18px
  line-height: 24px
</style>
